Last Comment Bug 671797 - Too-much-recursion through array_forEach
: Too-much-recursion through array_forEach
Status: RESOLVED FIXED
js-triage-needed
: crash, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- critical (vote)
: ---
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
Depends on:
Blocks: 326633
  Show dependency treegraph
 
Reported: 2011-07-14 23:44 PDT by Jesse Ruderman
Modified: 2012-08-01 11:43 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (crashes Firefox when loaded) (110 bytes, text/html)
2011-07-14 23:44 PDT, Jesse Ruderman
no flags Details
stack trace (repeating portion only) (2.19 KB, text/plain)
2011-07-14 23:45 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-07-14 23:44:47 PDT
Created attachment 546103 [details]
testcase (crashes Firefox when loaded)
Comment 1 Jesse Ruderman 2011-07-14 23:45:09 PDT
Created attachment 546104 [details]
stack trace (repeating portion only)
Comment 3 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-07-15 06:34:44 PDT
Hey, this is why we should self-host forEach!  ;)
Comment 4 Jeff Walden [:Waldo] (remove +bmo to email) 2011-07-15 12:02:53 PDT
Might need a recursion check in bound functions, or might need it for array extras.  Will investigate soon.
Comment 6 Jesse Ruderman 2011-12-29 12:12:26 PST
See also bug 684462, with Array.sort.
Comment 7 Gary Kwong [:gkw] [:nth10sd] 2012-07-31 22:10:37 PDT
Jesse, bug 779215 likely fixed a lot of these bugs. Perhaps you'd like to retest?
Comment 8 Jesse Ruderman 2012-08-01 11:43:14 PDT
The testcase now correctly throws a JavaScript exception, "too much recursion" :)

Note You need to log in before you can comment on or make changes to this bug.